<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>C++ programming Online Quiz</title>

	

	<style>
		body
		{
			margin: 0;
			padding: 0;
			background-image: linear-gradient(#fff,#c3f5ff);
		}
		h1
		{
			font-family: verdana;
			font-weight: bold;
			color: #0D27E8;
		}
		.main
		{
			margin-left: 28%;
		}
		h3
		{
			font-size: px;
		}

	</style>

</head>
<body>
	<div class="header">
		<center><h1>C++ programming Online Quiz</h1></center><br>
	</div>
	<div class="main">
		<form name="myform">
			<h3>Q1- During dynamic memory allocation in CPP, new operator returns _________ value if memory allocation is unsuccessful.
</h3><br>
			<input type="radio" name="name1" id="q1" value="a">A- False<br>
			<input type="radio" name="name1" id="q1" value="b">B- NULL<br>
			<input type="radio" name="name1" id="q1" value="c">C- Zero<br>
			<input type="radio" name="name1" id="q1" value="d">D- None of these<br>
			

			<h3>Q2 - Which of the followings is/are pointer-to-member declarator?</h3><br>
			<input type="radio" name="name2" id="q2" value="a">A- ->*<br>
			<input type="radio" name="name2" id="q2" value="b">B- .*<br>
			<input type="radio" name="name2" id="q2" value="c">C- ::*<br>
			<input type="radio" name="name2" id="q2" value="d">D- Both a and b<br>


			<h3>Q3 -  Default value of static variable is_____ .
			</h3><br>
			<input type="radio" name="name3" id="q3" value="a">A- 0<br>
			<input type="radio" name="name3" id="q3" value="b">B- 1<br>
			

			<h3>Q4 -  ________ are used to format the data display in CPP. </h3><br>
			<input type="radio" name="name4" id="q4" value="a">A- Itterators<br>
			<input type="radio" name="name4" id="q4" value="b">B- Punctuators<br>
			<input type="radio" name="name4" id="q4" value="c">C- Manipulators<br>
			<input type="radio" name="name4" id="q4" value="d">D- Allocatprs<br>
			

			<h3>Q5 - Reusability of the code can be achieved in CPP through ______ . </h3><br>
			<input type="radio" name="name5" id="q5" value="a">A- Polymorphism<br>
			<input type="radio" name="name5" id="q5" value="b">B- Encapsulation<br>
			<input type="radio" name="name5" id="q5" value="c">C- Inheritance<br>
			<input type="radio" name="name5" id="q5" value="d">D- Both a and c<br>

			<h3>Q6 - By default, members of the class are ____________ in nature. </h3><br>
			<input type="radio" name="name6" id="q6" value="a">A- Protected<br>
			<input type="radio" name="name6" id="q6" value="b">B- private<br>
			<input type="radio" name="name6" id="q6" value="c">C- public<br>
			<input type="radio" name="name6" id="q6" value="d">D- static<br>

			<h3>Q7 - Which of the following is CPP style type-casting? </h3><br>
			<input type="radio" name="name7" id="q7" value="a">A-  per = total/(float)m<br>
			<input type="radio" name="name7" id="q7" value="b">B- per = total/float(m)<br>
			<input type="radio" name="name7" id="q7" value="c">C-  per = (float)total/m<br>
			<input type="radio" name="name7" id="q7" value="d">D- None of these<br>

			<h3>Q8 -  If a program uses Inline Function, then the function is expanded inline at ___________.</h3><br>
			<input type="radio" name="name8" id="q8" value="a">A- Compile time<br>
			<input type="radio" name="name8" id="q8" value="b">B- Run time<br>
			<input type="radio" name="name8" id="q8" value="c">C- Both a and b<br>
			<input type="radio" name="name8" id="q8" value="d">D- None of these<br>

			<h3>Q9 - Static variable in a class is initialized when _____ .</h3><br>
			<input type="radio" name="name9" id="q9" value="a">A- every object of the class is created<br>
			<input type="radio" name="name9" id="q9" value="b">B- last object of the class is created.<br>
			<input type="radio" name="name9" id="q9" value="c">C-  first object of the class is created.<br>
			<input type="radio" name="name9" id="q9" value="d">D- No need to initialize static variable.<br>

			<h3>Q10 -An exception is thrown using _____________ keyword in CPP.</h3><br>
			<input type="radio" name="name10" id="q10" value="a">A- throws<br>
			<input type="radio" name="name10" id="q10" value="b">B- throw<br>
			<input type="radio" name="name10" id="q10" value="c">C- threw<br>
			<input type="radio" name="name10" id="q10" value="d">D- Thrown<br><br><br>
			<input type="submit" class="btn btn-primary" name="submit" name="submit" onclick="myfun()" style="margin-left: 25%;width: 150px;height: 40px;background-color: #14C614;"> &nbsp
			
		</form>
		 <a href="../index.html">HOME</a><br><br>
	</div>


	<script>
		function myfun()
		{
			var data1=document.myform.q1.value;
			var data2=document.myform.q2.value;
			var data3=document.myform.q3.value;
			var data4=document.myform.q4.value;
			var data5=document.myform.q5.value;
			var data6=document.myform.q6.value;
			var data7=document.myform.q7.value;
			var data8=document.myform.q8.value;
			var data9=document.myform.q9.value;
			var data10=document.myform.q10.value;

			var count=0;
			if(data1=="b")
			{
				count++;
			}
			if(data2=="c")
			{
				count++;
			}
			if(data3=="a")
			{
				count++;
			}
			if(data4=="c")
			{
				count++;
			}
			if(data5=="c")
			{
				count++;
			}
			if(data6=="b")
			{
				count++;
			}
			if(data7=="b")
			{
				count++;
			}
			if(data8=="b")
			{
				count++;
			}
			if(data9=="c")
			{
				count++;
			}
			if(data10=="b")
			{
				count++;
			}
			alert("you gave "+ count +"correct answers.");

		}
		function myfun2()
		{
			window.location.href="../index.html";
		}
	</script>
	
	


</body>
</html>